//! # Conversation information
//!
//! @author Pierre Hubert

use crate::data::user::UserID;

pub type ConvID = u64;

#[derive(Debug, PartialEq, Eq)]
pub struct Conversation {
    pub id: ConvID,
    pub owner_id: UserID,
    pub name: Option<String>,
    pub members: Vec<UserID>,
    pub can_everyone_add_members: bool,
    pub last_active: u64,
    pub time_create: u64,

    pub following: bool,
    pub saw_last_message: bool,
}